# Class CompareAssertionResult

java.lang.Object
org.apache.jmeter.assertions.AssertionResult
org.apache.jmeter.assertions.CompareAssertionResult

All Implemented Interfaces:
  `Serializable`

public class CompareAssertionResult extends AssertionResult

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AssertionResult

`RESPONSE_WAS_NULL`

## Constructor Summary

Constructors
Constructor
Description
`CompareAssertionResult()`
Deprecated.
Use the other ctor
`CompareAssertionResult(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToBaseResult(String resultData)`
`void`
`addToSecondaryResult(String resultData)`
`String`
`getBaseResult()`
`String`
`getSecondaryResult()`

### Methods inherited from class AssertionResult

`getFailureMessage, getName, isError, isFailure, setError, setFailure, setFailureMessage, setResultForFailure, setResultForNull, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompareAssertionResult

@Deprecated public CompareAssertionResult()
Deprecated.
Use the other ctor
For testing only

### CompareAssertionResult

public CompareAssertionResult(String name)

## Method Details

### addToBaseResult

public void addToBaseResult(String resultData)

### addToSecondaryResult

public void addToSecondaryResult(String resultData)

### getBaseResult

public String getBaseResult()

### getSecondaryResult

public String getSecondaryResult()